# =======================================================================================
#
# MacIntel OsX 10.14.6
# Intel Fortran & C++ Compilers 19.0
#
# make -f MAC-INTEL.mak ; make install -f MAC-INTEL.mak; make clean -f MAC-INTEL.mak
#
# ========================================================================================
FFLAGS = -O0 -diag-disable=remark -static-intel
CFLAGS =  -w
LIBS   = -lXt -lX11 
LIBDIR = -L/usr/X11/lib
CC     = icc -I/usr/X11/include
FC     = ifort
 
FSUB1= complot.f endfio.f scratchb.f screen.f
 
CSUBS= dash.c
 
OBJ= $(FSUB1:.f=.o) $(CSUBS:.c=.o)
 
SRC= $(FSUB1) $(CSUBS)
 
all: complot comhard comhard1
 
complot: $(OBJ)
	$(FC) -o complot $(FFLAGS) $(OBJ) $(LIBDIR) $(LIBS)
 
comhard: complot.o endfio.o scratchb.o saveps.o
	$(FC) -o comhard $(FFLAGS) complot.o endfio.o scratchb.o saveps.o

comhard1: complot.o endfio.o scratchb.o saveps1.o
	$(FC) -o comhard1 $(FFLAGS) complot.o endfio.o scratchb.o saveps1.o
#
install: 
	mv complot  ../../.
	mv comhard  ../../.
	mv comhard1  ../../.
#
clean:
	rm *.o
#
